View Issue Details

IDProjectCategoryView StatusLast Update
0001667SUMoBugpublic2012-08-13 14:14
ReporterbyteheadAssigned ToKyle_Katarn 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.4 
Target VersionFixed in Version3.4.1 
Summary0001667: Inconsistent usage of File_Version / Product_Version fields for JRE components
DescriptionSome JRE components are being collected by File_Version only, while others by Product_Version fields, which is wrong (see screenshot, some JRE 7.0.50.5 files are shown as 10.5.0.5 even though they have proper Product_Version tag present).

GENERAL RULE: Product_Version PE tag must always take precedence (when present) over File_Version. (This holds true for *any* application or individual component, not only JRE.)
Steps To Reproduce1) Install both JRE 6 and JRE 7 packages;
2) Rescan in SUMo;
3) Notice *some* components of JRE 7 are erroneously reported as being v10.*, not v7.*;
4) Check respective file properties.
TagsNo tags attached.

Relationships

related to 0001671 closedKyle_Katarn Unreliable version comparison algorithm + File_Version / Product_Version mess 
related to 0001570 resolvedKyle_Katarn java (files with same name) 

Activities

bytehead

2012-08-08 15:03

reporter  

screen.png (139,010 bytes)
screen.png (139,010 bytes)

bytehead

2012-08-08 15:04

reporter   ~0001044

I wonder why JRE is the only case I've run into so far? Why is it handled differently on the client side than everything else?

bytehead

2012-08-11 00:47

reporter   ~0001086

I recently discovered it's not unique to JRE, rather a more common issue (see related bug).

Kyle_Katarn

2012-08-11 13:50

administrator   ~0001091

Sure.

Issue History

Date Modified Username Field Change
2012-08-08 15:03 bytehead New Issue
2012-08-08 15:03 bytehead File Added: screen.png
2012-08-08 15:04 bytehead Note Added: 0001044
2012-08-08 15:05 Kyle_Katarn Assigned To => Kyle_Katarn
2012-08-08 15:05 Kyle_Katarn Status new => acknowledged
2012-08-10 04:46 bytehead Relationship added related to 0001671
2012-08-11 00:47 bytehead Note Added: 0001086
2012-08-11 13:50 Kyle_Katarn Note Added: 0001091
2012-08-11 23:26 Kyle_Katarn Status acknowledged => resolved
2012-08-11 23:26 Kyle_Katarn Fixed in Version => 3.4.1
2012-08-11 23:26 Kyle_Katarn Resolution open => fixed
2012-08-12 09:38 Kyle_Katarn Relationship added related to 0001570